<?php 
$form_name = "User Master";
$table_name = "lime_users";
$primary_key = "usr_id";

$mode = isset($_REQUEST['mode']) ? $_REQUEST['mode'] : "";
	
include_once("includes/config.php");
include_once("includes/common_functions.php");

$common = new General_Functions();
$css_class = "x-gray";
// $common->SetCssClass($css_class);

$mode = isset($_REQUEST['mode']) ? $_REQUEST['mode'] : "";
$act_type = isset($_REQUEST['act_type']) ? $_REQUEST['act_type'] : "";
$cancel_link = $_SERVER['SCRIPT_NAME'].'?page='.$_REQUEST['page'];
$action = $_SERVER['SCRIPT_NAME']."?page=".$_REQUEST['page']."&mode=submit";

switch($mode)
{
	case "submit":
                $status = isset($_REQUEST['status']) ? $_REQUEST['status'] : 'N';
                
                if($_REQUEST['id'] != '')
                    $whr = ' AND'.$primary_key." != '".$_REQUEST['id']."'";
                else
                    $whr = '';
                
                $qry = "SELECT * FROM ".$table_name." WHERE users_name = '".$_REQUEST['usr_name']."' OR email = '".$_REQUEST['usr_email']."'".$whr;
                $common->sql->query($qry, SQL_ALL, SQL_ASSOC);
                $rec = $common->sql->record;
                
                if(count($rec) == 0)
                {
                    if($_REQUEST['id'] == '')
                    {
                        $_query = sprintf("insert into ".$table_name." values(0, '%s', '%s', '%s', '%s', '%s', now(), '%s', 0, 0)",
                                mysql_escape_string($_REQUEST['usr_name']),
                                mysql_escape_string(md5($_REQUEST['usr_pwd'])),
                                mysql_escape_string($_REQUEST['name']),
                                mysql_escape_string($_REQUEST['usr_email']),
                                mysql_escape_string($status),
                                mysql_escape_string(USR)
                        );
                        $rec = $common->sql->query($_query);
						$id = mysql_insert_id();
                        $_SESSION['msg'] = 'User Created Successfully';
						$common->UserLog($form_name, $table_name, $id, 'Created');
                    }
                    else
                    {
						if($rec[0]['password'] == md5($_REQUEST['usr_pwd']))
							$_REQUEST['usr_pwd'] = $_REQUEST['usr_pwd'];
						else
							$_REQUEST['usr_pwd'] = md5($_REQUEST['usr_pwd']);
						
                        $_query = "UPDATE ".$table_name." SET   users_name        	= '".$_REQUEST['usr_name']."',
                                                                password        	= '".$_REQUEST['usr_pwd']."',
                                                                full_name   	    = '".$_REQUEST['name']."',
                                                                email		        = '".$_REQUEST['usr_email']."',
                                                                status              = '".$status."',
                                                                update_time         = now(),
                                                                update_user         = '".USR."'
                                                          WHERE ".$primary_key."    = '".$_REQUEST['id']."'";
                        $rec = $common->sql->exeQuery($_query);
						$common->UserLog($form_name, $table_name, $_REQUEST['id'], 'Updated');
                        $_SESSION['msg'] = 'User Updated Successfully';
                    }
                }
                else
                {
                    $_SESSION['msg'] = 'User Name / Email Already Exsists';
                }
		$link = $_SERVER['SCRIPT_NAME'].'?page='.$_REQUEST['page'];
		header("location:".$link);
	break;
        
        case "delete":
                if(isset($_REQUEST[$prefix.'id']))
                        $id = $_REQUEST[$prefix.'id'];
                else
                        $id = implode("', '", $_REQUEST[$primary_key]);

                $query = "DELETE FROM ".$table_name." WHERE ".$primary_key." IN ('".$id."')";
                $rec = $common->sql->exeQuery($query);

                if($rec)
                {
                        $_SESSION['msg'] = 'Selected record has been deleted successfully';
                        if(isset($_REQUEST['id']))
							$common->UserLog($form_name, $table_name, $_REQUEST['id'], 'Delete');
                        else
							for($i=0; $i<count($_REQUEST[$primary_key]); $i++)
								$common->UserLog($form_name, $table_name, $_REQUEST[$primary_key][$i], 'Delete');
                }

                $query_string = str_replace("&mode=delete","",$_SERVER['QUERY_STRING']);
                $link = $_SERVER['SCRIPT_NAME'].'?page='.$_REQUEST['page'];
                header("location:".$link);
        break;
	
	default:
		echo '<div class="content_bg">';
			include("add.php");
		echo '</div>';
	break;
}
?>